property

  {import('ol/Map.js').default} map The OpenLayers map we want to show on a Cesium scene.

property

  {Element|string} [target] Target element for the Cesium scene.

property

  {function(!import('ol/Map.js').default, !Cesium.Scene, !Cesium.DataSourceCollection): Array<import('olcs/AbstractSynchronizer.js').default>} [createSynchronizers] Callback function which will be called by the {@link olcs.OLCesium} constructor to create custom synchronizers. Receives an `ol.Map` and a `Cesium.Scene` as arguments, and needs to return an array of {@link import('olcs/AbstractSynchronizer.js').default}.

property

  {function(): Cesium.JulianDate} [time] Control the current time used by Cesium.

property

  {boolean} [stopOpenLayersEventsPropagation] Prevent propagation of mouse/touch events to OpenLayers when Cesium is active.

property

  {Cesium.SceneOptions} [sceneOptions] Allows the passing of property value to the `Cesium.Scene`.

### Hierarchy

- default

## Index

### Constructors

- constructor

### Properties

- boundingSphereScratch_
- dataSourceCollection_
- dataSourceDisplay_

### Accessors

- trackedFeature

### Methods

- enableAutoRenderLoop
- getAutoRenderLoop
- getCamera
- getCesiumScene
- getDataSourceDisplay
- getDataSources
- getEnabled
- getOlMap
- getOlView
- handleResize_
- onAnimationFrame_
- render_
- setBlockCesiumRendering
- setEnabled
- setResolutionScale
- setTargetFrameRate
- throwOnUnitializedMap_
- updateTrackedEntity_
- warmUp

## Constructors

### constructor

- new default(options: OLCesiumOptions): default

- - Defined in olcs/OLCesium.js:31
  api

  #### Parameters

  - ##### options: OLCesiumOptions

    Options.

  #### Returns default

## Properties

### boundingSphereScratch_

boundingSphereScratch_: any

### dataSourceCollection_

dataSourceCollection_: any

### dataSourceDisplay_

dataSourceDisplay_: any

## Accessors

### trackedFeature

- get trackedFeature(): any
- set trackedFeature(feature: any): void

- - Defined in olcs/OLCesium.js:670

  #### Returns any

- - Defined in olcs/OLCesium.js:677

  #### Parameters

  - ##### feature: any

  #### Returns void

## Methods

### enableAutoRenderLoop

- enableAutoRenderLoop(): void

- - Defined in olcs/OLCesium.js:596

  Render the globe only when necessary in order to save resources. Experimental.

  api

  #### Returns void

### getAutoRenderLoop

- getAutoRenderLoop(): any

- - Defined in olcs/OLCesium.js:607

  Get the autorender loop.

  api

  #### Returns any

### getCamera

- getCamera(): any

- - Defined in olcs/OLCesium.js:432
  api

  #### Returns any

### getCesiumScene

- getCesiumScene(): any

- - Defined in olcs/OLCesium.js:458
  api

  #### Returns any

### getDataSourceDisplay

- getDataSourceDisplay(): any

- - Defined in olcs/OLCesium.js:474
  api

  #### Returns any

### getDataSources

- getDataSources(): any

- - Defined in olcs/OLCesium.js:466
  api

  #### Returns any

### getEnabled

- getEnabled(): boolean

- - Defined in olcs/OLCesium.js:482
  api

  #### Returns boolean

### getOlMap

- getOlMap(): any

- - Defined in olcs/OLCesium.js:440
  api

  #### Returns any

### getOlView

- getOlView(): any

- - Defined in olcs/OLCesium.js:448
  api

  #### Returns any

### Private handleResize_

- handleResize_(): void

- - Defined in olcs/OLCesium.js:396

  #### Returns void

### Private onAnimationFrame_

- onAnimationFrame_(frameTime: number): void

- - Defined in olcs/OLCesium.js:329

  Callback for `requestAnimationFrame`.

  #### Parameters

  - ##### frameTime: number

    The frame time, from `performance.now()`.

  #### Returns void

### Private render_

- render_(): void

- - Defined in olcs/OLCesium.js:311

  Render the Cesium scene.

  #### Returns void

### setBlockCesiumRendering

- setBlockCesiumRendering(block: boolean): void

- - Defined in olcs/OLCesium.js:582

  Block Cesium rendering to save resources.

  api

  #### Parameters

  - ##### block: boolean

    True to block.

  #### Returns void

### setEnabled

- setEnabled(enable: boolean): void

- - Defined in olcs/OLCesium.js:492

  Enables/disables the Cesium. This modifies the visibility style of the container element.

  api

  #### Parameters

  - ##### enable: boolean

  #### Returns void

### setResolutionScale

- setResolutionScale(value: number): void

- - Defined in olcs/OLCesium.js:628

  The 3D Cesium globe is rendered in a canvas with two different dimensions: clientWidth and clientHeight which are the dimension on the screen and width and height which are the dimensions of the drawing buffer.

  By using a resolution scale lower than 1.0, it is possible to render the globe in a buffer smaller than the canvas client dimensions and improve performance, at the cost of quality.

  Pixel ratio should also be taken into account; by default, a device with pixel ratio of 2.0 will have a buffer surface 4 times bigger than the client surface.

  api

  #### Parameters

  - ##### value: number

  #### Returns void

### setTargetFrameRate

- setTargetFrameRate(value: number): void

- - Defined in olcs/OLCesium.js:645

  Set the target frame rate for the renderer. Set to `Number.POSITIVE_INFINITY` to render as quickly as possible.

  api

  #### Parameters

  - ##### value: number

    The frame rate, in frames per second.

  #### Returns void

### Private throwOnUnitializedMap_

- throwOnUnitializedMap_(): void

- - Defined in olcs/OLCesium.js:658

  Check if OpenLayers map is not properly initialized.

  #### Returns void

### Private updateTrackedEntity_

- updateTrackedEntity_(): void

- - Defined in olcs/OLCesium.js:369

  #### Returns void

### warmUp

- warmUp(height: number, timeout: number): void

- - Defined in olcs/OLCesium.js:554

  Preload Cesium so that it is ready when transitioning from 2D to 3D.

  api

  #### Parameters

  - ##### height: number

    Target height of the camera

  - ##### timeout: number

    Milliseconds after which the warming will stop

  #### Returns void

Generated using TypeDoc